textures/common/caulk
{
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint	
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/metalclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/pad_attic/balken
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_attic/balken.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood034
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood034.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wop/padjump_yellow
{

        q3map_surfacelight	30

	surfaceparm	trans
	surfaceparm nonsolid
             	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	
	{
		map textures/pad_wop/padjump_yellow.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 0 1 0 1
                
	}	
	{
		map textures/pad_wop/padjump_yellow2.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 1 1 0 1
               
	}	
}

textures/pad_wop/padtele
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	surfaceparm nonsolid
              surfaceparm trans
	q3map_lightimage textures/pad_wop/padtele.tga	
	q3map_surfacelight 100

	{
		map textures/pad_wop/padtele_electric.tga
		blendfunc add
                	rgbgen wave triangle 1.8 2 0 7
                	tcmod scroll 0 -1
	}
	{
		map textures/pad_wop/padtele_electric.tga
		blendfunc add
                	rgbgen wave triangle 1 1.1 1 5
                	tcmod scale  -1 1.5
                	tcmod scroll 0 1.5
	}
	{
		map textures/pad_wop/padtele.tga
		blendfunc add
                	rgbgen wave triangle 2 1.4 3 7.7
                	tcmod scroll 0 0.8
	}
	
}

textures/pad_garden/schilf02
{ 
        qer_editorimage textures/pad_garden/schilf02.tga 
      
        qer_trans 0.5 
        q3map_globaltexture 
        surfaceparm trans 
        surfaceparm nonsolid 
        surfaceparm water 
        cull disable 
        

        { 
               map textures/pad_garden/schilf02.tga 
               tcmod turb 0.2 0.1 1 0.05 
               tcmod scale 0.5 0.5 
               tcmod scroll 0.01 0.01 
	       blendfunc filter
	       rgbgen identity

        } 

        { 
               map textures/pad_garden/schilf03.tga 
               tcmod turb 0.2 0.1 1 0.05 
               tcmod scale -0.5 -0.5 
               tcmod scroll .025 -.001 
	       blendfunc filter
	       rgbgen identity

        } 

	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_one
	}
}

textures/pad_garden/nail
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tesssize 64
    
     
        {
                map textures/pad_garden/nail.tga
                alphafunc ge128
		depthwrite
		rgbgen identity
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}


}

textures/pad_garden/rostborderbig
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_garden/rostborderbig.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_garden/rostrough
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_garden/rostrough.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_garden/rostred
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_garden/rostred.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_gfx02/lighty02
{
    q3map_surfacelight 3000
    surfaceparm nolightmap
    {
        map textures/pad_gfx02/lighty02.tga
    }
}

textures/pad_gfx02/light_green2
{
    q3map_surfacelight 1400
    surfaceparm nolightmap
    {
        map textures/pad_gfx02/light_green2.tga
    }
}

textures/pad_gfx02/metal09
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_gfx02/metal09.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_gfx02/metal09.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_gfx02/metal10
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_gfx02/metal10.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_gfx02/metal10.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_gfx02/metal11
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_gfx02/metal11.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_gfx02/metal11.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_gfx02b/git001d
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tesssize 64
    
     
        {
                map textures/pad_gfx02b/git001d.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}


}

textures/pad_gfx02b/beam_green
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        
	{
		map textures/pad_gfx02b/beam_green.tga
                tcmod scroll .4 0
                blendfunc add
        }
     
}

textures/pad_gfx02b/padfog_green02
{
		qer_editorimage textures/pad_gfx02b/padfog_green.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap

		fogparms ( .250 .280 .094 ) 800
}

textures/pad_backyard/pf-tornado-alley
{
        qer_editorimage textures/pad_backyard/pf-tornado-alley.tga


	surfaceparm noimpact
	surfaceparm nolightmap
        q3map_lightimage textures/pad_backyard/grey.tga
	q3map_sun	0.266383 0.274632 0.358662 100 230 70
	q3map_surfacelight 175

        skyparms env/pf-tornado-alley512 - -
}

textures/pad_backyard/glow_rost01
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_backyard/glow_rost01.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_poster/poster001
{
	qer_editorimage textures/pad_poster/poster001.tga
	{
		map textures/pad_poster/poster001.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbgen identity
		tcgen environment
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_objects/obj059
{
	surfaceparm noimpact		
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_objects/obj059.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

models/mapobjects/pad_ducktape/ducktape
{
	nopicmip
	nomipmaps
	qer_editorimage models/mapobjects/pad_ducktape/ducktape.tga
	{
		map models/mapobjects/pad_ducktape/ducktape.tga
		rgbgen vertex
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcmod scale 0.2 0.2
		tcgen environment
        rgbgen vertex
	}

}

textures/pad_pirate/planke02
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_pirate/planke02.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_pirate/planken02
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_pirate/planken02.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_pirate/seil
{
surfaceparm carpetsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_pirate/seil.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_garden/rostcurve
{
          qer_editorimage textures/pad_garden/rostrough.tga
           surfaceparm nonsolid		
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_garden/rostrough.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_metal/ground_b
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_metal/ground_b.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_metal/testlvlbase
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_metal/testlvlbase.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_metal/wallmet_d
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_metal/wallmet_d.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_metal/wallmet_b
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_metal/wallmet_b.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_metal/wallsteal_a
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_metal/wallsteal_a.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_metal/yb2
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_metal/yb2.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_floorout/guli2
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_floorout/guli2.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_floorout/gas1
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_floorout/gas1.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_nature/sand002a
{
surfaceparm sandsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_nature/sand002a.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_objects02/metalu
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_objects02/metalu.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wallout/rost001small
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wallout/rost001small.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wallout/rost003small
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wallout/rost003small.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wallout/rost004small
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wallout/rost004small.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wallout/rost005_256
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wallout/rost005_256.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wallout/rost005_512
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wallout/rost005_512.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wallout/wall_rost01
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wallout/wall_rost01.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/oldwood003
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/oldwood003.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood004brown
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood004brown.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood004brownbig
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood004brownbig.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood016
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood016.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood017sred
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood017sred.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood038
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood038.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood040
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood040.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood043
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood043.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood051
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood051.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood068
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood068.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood074
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood074.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood076
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood076.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood077
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood077.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood092
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood092.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood093c
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood093c.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood096b
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood096b.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood4a
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood4a.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_woodobjects/chest01_2_2
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_woodobjects/chest01_2_2.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_trash/kb_schuttcontainer1
{
		surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_trash/kb_schuttcontainer1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_trash/kb_fass01
{
		surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_trash/kb_fass01.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

